Class Index | File Index

## Classes

- _global_
- Array
- Boolean
- Date
- Function
- Object
- orion.breadcrumbs.BreadCrumbs
- orion.browse.FileBrowser
- orion.browse.FileBrowserOptions
- orion.BrowseView
- orion.cm.Configuration
- orion.cm.ConfigurationAdmin
- orion.cm.ConfigurationProperties
- orion.cm.ManagedService
- orion.commandregistry.CommandRegistry
- orion.commandregistry.ParameterCollector
- orion.commands.Command
- orion.commands.CommandInvocation
- orion.commands.CommandParameter
- orion.commands.ParametersDescription
- orion.commands.URLBinding
- orion.compare.CompareCommandFactory
- orion.compare.CompareOptions
- orion.compare.CompareSyntaxHighlighter
- orion.compare.CompareView
- orion.compare.CompareViewOptions
- orion.compare.DiffProvider
- orion.compare.FileOptions
- orion.compare.rulers.CompareRuler
- orion.compare.rulers.LineNumberCompareRuler
- orion.compare.toggleableCompareView
- orion.compare.TwoWayCompareView
- orion.compareUtils
- orion.core.ContentType
- orion.core.ContentTypeRegistry
- orion.core.TypeDef
- orion.core.TypeDefProperties
- orion.core.TypeDefRegistry
- orion.Deferred
- orion.dialogs.DialogService
- orion.DiffTreeNavigator.DiffTreeNavigator
- orion.DiffTreeNavigator.inlineDiffBlockFeeder
- orion.DiffTreeNavigator.TwoWayDiffBlockFeeder
- orion.edit.Dispatcher
- orion.edit.EditorContext
- orion.editor.ActionDescription
- orion.editor.Annotation
- orion.editor.AnnotationIterator
- orion.editor.AnnotationModel
- orion.editor.AnnotationRuler
- orion.editor.AnnotationStyler
- orion.editor.AnnotationType
- orion.editor.AnnotationTypeList
- orion.editor.AsyncStyler
- orion.editor.BaseEditor
- orion.editor.BlurEvent
- orion.editor.ContentAssist
- orion.editor.ContentAssistMode
- orion.editor.ContentAssistProvider
- orion.editor.ContentAssistProvider.Context
- orion.editor.ContentAssistWidget
- orion.editor.ContextMenuEvent
- orion.editor.CssContentAssistProvider
- orion.editor.DestroyEvent
- orion.editor.EditOptions
- orion.editor.Editor
- orion.editor.EventTarget
- orion.editor.FindIterator
- orion.editor.FindOptions
- orion.editor.FocusEvent
- orion.editor.FoldingAnnotation
- orion.editor.HTMLContentAssistProvider
- orion.editor.InputManager
- orion.editor.JSTemplateContentAssistProvider
- orion.editor.KeyEvent
- orion.editor.LineNumberRuler
- orion.editor.LineStyleEvent
- orion.editor.ModelChangedEvent
- orion.editor.ModelChangingEvent
- orion.editor.ModifyEvent
- orion.editor.OverviewRuler
- orion.editor.Projection
- orion.editor.ProjectionTextModel
- orion.editor.Ruler
- orion.editor.ScrollEvent
- orion.editor.Selection
- orion.editor.SelectionEvent
- orion.editor.Style
- orion.editor.StyleRange
- orion.editor.StyleReadyEvent
- orion.editor.StyleReadyEvent#LineStyle
- orion.editor.TextChange
- orion.editor.TextMateStyler
- orion.editor.TextModel
- orion.editor.TextTheme
- orion.editor.TextView
- orion.editor.TextViewOptions
- orion.editor.ThemeChangedEvent
- orion.editor.ThemeStyleSheet
- orion.editor.UndoStack
- orion.editor.VerifyEvent
- orion.EditorView
- orion.EventTarget
- orion.explorer.Explorer
- orion.explorer.ExplorerFlatModel
- orion.explorer.ExplorerModel
- orion.explorer.FileExplorer
- orion.explorer.FileExplorer.ModelHandler
- orion.explorer.NavigatorRenderer
- orion.explorer.SelectionRenderer
- orion.explorerNavHandler.ExplorerNavDict
- orion.explorerNavHandler.ExplorerNavHandler
- orion.extensionCommands
- orion.fileClient.FileClient
- orion.fileCommands
- orion.fileUtils
- orion.FolderView
- orion.form
- orion.git.GitCommitExplorer
- orion.git.GitLogExplorer
- orion.git.GitRepositoryExplorer
- orion.git.GitReviewRequestExplorer
- orion.git.GitService
- orion.git.GitStatusExplorer
- orion.git.widgets.OpenCommitDialog
- orion.globalCommands
- orion.highlight.SyntaxHighlighter
- orion.KeyBinding
- orion.KeySequence
- orion.KeyStroke
- orion.links.TextLinkService
- orion.log.LogService
- orion.metatype.AttributeDefinition
- orion.metatype.MetaTypeRegistry
- orion.metatype.ObjectClassDefinition
- orion.mirror.CodeMirrorStyler
- orion.mirror.Mirror
- orion.mirror.MirrorLineStyle
- orion.mirror.ModeApplier
- orion.navoutliner.NavigationOutliner
- orion.objects
- orion.operation
- orion.outliner.Outliner
- orion.outliner.OutlineService
- orion.PageLinks
- orion.PageLinks.PageLinksInfo
- orion.parametercollectors.CommandParameterCollector
- orion.pluginregistry.Plugin
- orion.pluginregistry.PluginRegistry
- orion.preferences.Preferences
- orion.preferences.PreferencesService
- orion.problems.ProblemService
- orion.profile.usersClient.UsersClient
- orion.progress.ProgressService
- orion.projectClient.ProjectClient
- orion.Promise
- orion.ReadonlyEditorView
- orion.regex
- orion.search.AdvSearchOptRenderer
- orion.searchClient.Searcher
- orion.searches.SavedSearches
- orion.Searches.SearchBuilder
- orion.Searches.SearchList
- orion.searchResults.SearchResultsGenerator
- orion.searchUtils
- orion.searchUtils.SearchParams
- orion.selection.Selection
- orion.serviceregistry.ServiceEvent
- orion.serviceregistry.ServiceReference
- orion.serviceregistry.ServiceRegistration
- orion.serviceregistry.ServiceRegistry
- orion.ServiceTracker
- orion.settings.Setting
- orion.settings.SettingsRegistry
- orion.settings.ui.PropertyWidget
- orion.shell.Command
- orion.shell.Parameter
- orion.shell.ParameterType
- orion.shell.Shell
- orion.sidebar.MiniNavViewMode
- orion.sidebar.ProjectNavViewMode
- orion.sidebar.Sidebar
- orion.sidebar.ViewMode
- orion.sites.SiteClient
- orion.sites.SiteConfiguration
- orion.sites.SiteEditor
- orion.sites.SiteService
- orion.sites.ViewOnSiteTree
- orion.status.StatusReportingService
- orion.SyntaxChecker
- orion.tasks.TaskList
- orion.TreeModelIterator.TreeModelIterator
- orion.treetable.TableTree
- orion.uiUtils
- orion.URITemplate
- orion.webui.contextmenu.ContextMenu
- orion.webui.dialogs.OpenResourceDialog
- orion.webui.dialogs.OperationsDialog
- orion.webui.littlelib
- orion.webui.Splitter
- orion.widgets.browse.ResourceSelector
- orion.widgets.Filesystem.FilesystemSwitcher
- orion.widgets.Section
- orion.widgets.settings.SplitSelectionLayout
- orion.xhr
- orion.xhr.Result
- String

# Class orion.pluginregistry.Plugin

Represents a single plugin in the plugin registry.
Defined in: </shared/eclipse/e4/orion/I201402262325/plugins/org.eclipse.orion.client.core/web/orion/pluginregistry.js>.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| orion.pluginregistry.Plugin() Creates a new plugin.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| getHeaders() Returns the headers of this plugin.
| getLocation() Returns the URL location of this plugin.
| getServiceReferences() Returns the service references provided by this plugin.
| getState() Returns this plugin's current state.
| setParent(parent) Sets the parent of this plugin.
| uninstall() Uninstalls this plugin.

Class Detail
orion.pluginregistry.Plugin()
Creates a new plugin. This constructor is private and should only be called by the plugin registry.

At any given time, a plugin is in exactly one of the following six states:

`"uninstalled"`
  The plugin has been uninstalled and may not be used.

  The `uninstalled` state is only visible after a plugin has been uninstalled; the plugin is unusable, but references to its `Plugin` object may still be available and used for introspection.

`"installed"`
  The plugin is installed, but not yet resolved.

`"resolved"`
  The plugin is resolved and is able to be started.

  Note that the plugin is not active yet. A plugin must be in the `resolved` state before it can be started.

  The `resolved` state is reserved for future use. Future versions of the framework may require successful dependency resolution before moving a plugin to the `resolved` state.

`"starting"`
  The plugin is in the process of starting.

  A plugin is in the `starting` state when its #start method has been called but has not yet resolved. Once the start call resolves, the plugin has successfully started and moves to the `active` state.

  If the plugin has a lazy activation policy, it may remain in the `starting` state for some time until the activation is triggered.

`"stopping"`
  The plugin is in the process of stopping.

  A plugin is in the `stopping` state when its #stop method has been called but not yet resolved. Once the stop call resolves, the plugin moves to the `resolved` state.

`"active"`
  The plugin is running. It has been successfully started and activated.

  In the `active` state, any services the plugin provides are available for use.

Method Detail
{Object} getHeaders()
Returns the headers of this plugin.

Returns:
  {Object} The plugin headers.

{String} getLocation()
Returns the URL location of this plugin.

Returns:
  {String} The URL of this plugin.

{orion.serviceregistry.ServiceReference[]} getServiceReferences()
Returns the service references provided by this plugin.

Returns:
  {orion.serviceregistry.ServiceReference[]} The service references provided by this plugin.

{String} getState()
Returns this plugin's current state.

Returns:
  {String} This plugin's state.

{orion.Promise} setParent(parent)
Sets the parent of this plugin.

Parameters:
{DOMElement} parent Optional, Default: null
  the plugin parent. `null` puts the plugin in the default parent of the plugin registry

Returns:
  {orion.Promise} A promise that will resolve when the plugin parent has been set.

{orion.Promise} uninstall()
Uninstalls this plugin.

Returns:
  {orion.Promise} A promise that will resolve when the plugin has been uninstalled.

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Feb 26 2014 23:28:26 GMT-0500 (EST)